package com.gic.cloud.constants;

/**
 * 指标类型
 * @author zhiwj
 * @Description:
 * @date 2020-07-10 17:02
 */
public enum IndexTypeEnum {
    /**
     * 指标
     */
    INDEX(1, "指标"),
    /**
     * 唯独
     */
    DIMENSION(2, "维度"),
    /**
     * 说明
     */
    NOTE(3, "说明");

    private Integer code;
    private String msg;

    IndexTypeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static String parse(Integer code) {
        for (IndexTypeEnum value : values()) {
            if (value.code.equals(code)) {
                return value.msg;
            }
        }
        return null;
    }
}
