package com.gic.cloud.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.DataAuthDTO;

import java.util.List;
/**
 * 数据权限
 * @ClassName: DataAuthApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 11:13 AM 
 */
public interface DataAuthApiService {

    /**
     * 新增数据权限
     * @Title: saveDataAuth 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveDataAuth(DataAuthDTO dto);

    /**
     * 编辑权限
     * @Title: editDataAuth 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> editDataAuth(DataAuthDTO dto);

    /**
     * 单条
     * @Title: getDataAuth 
     * @Description:
     * @author guojuxing
     * @param dataAuthId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.cloud.dto.DataAuthDTO> 
     */
    ServiceResponse<DataAuthDTO> getDataAuth(Integer dataAuthId);

    /**
     * 删除
     * @Title: deleteDataAuth 
     * @Description:
     * @author guojuxing
     * @param dataAuthId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> deleteDataAuth(Integer dataAuthId);

    /**
     * 分页查询数据权限
     * @Title: pageDataAuth 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param dataAuthName
     * @param currentPage
     * @param pageSize 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.cloud.dto.DataAuthDTO>> 
     */
    ServiceResponse<Page<DataAuthDTO>> pageDataAuth(Integer enterpriseId, String dataAuthName, Integer currentPage, Integer pageSize);

    /**
     * 查询数据权限
     * @Title: listDataAuth 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param dataAuthName 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.DataAuthDTO>> 
     */
    ServiceResponse<List<DataAuthDTO>> listDataAuth(Integer enterpriseId, String dataAuthName);

    /**
     * 查询单条
     * @Title: ggetDataAuthByUserId 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param userId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.cloud.dto.DataAuthDTO> 
     */
    ServiceResponse<DataAuthDTO> ggetDataAuthByUserId(Integer enterpriseId, Integer userId);
}
