package com.gic.cloud.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.DataExplainDTO;
import com.gic.cloud.qo.DataExplainQo;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 16:05
 */
public interface DataExplainApiService {

    /**
     * 新增数据解读
     * @Title: saveDataExplain
     * @Description:
     * @author zhiwj
     * @param dataExplainDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveDataExplain(DataExplainDTO dataExplainDTO);
    
    /**
     * 编辑数据解读
     * @Title: updateDataExplain
     * @Description: 
     * @author zhiwj 
     * @param dataExplainDTO
     * @param updateType
     * @param reason
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws 
     */
    ServiceResponse<Void> updateDataExplain(DataExplainDTO dataExplainDTO, Integer updateType, String reason);

    /**
     * 数据解读
     * @Title: getByDataExplainId
     * @Description: 
     * @author zhiwj
     * @param dataExplainId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.cloud.dto.DataExplainDTO>
     * @throws 
     */
    ServiceResponse<DataExplainDTO> getByDataExplainId(Integer dataExplainId);

    /**
     * 分页查询数据解读
     * @Title: listDataExplain
     * @Description:
     * @author zhiwj
     * @param dataExplainQO
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.DataExplainDTO>>
     * @throws
     */
    ServiceResponse<Page<DataExplainDTO>> listDataExplain(DataExplainQo dataExplainQO);
    
    /**
     * 查询数据解读
     * @Title: listDataExplain
     * @Description: 
     * @author zhiwj 
     * @param
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.cloud.dto.DataExplainDTO>>
     * @throws 
     */
    ServiceResponse<List<DataExplainDTO>> listAllDataExplain();

    /**
     * 删除数据解读
     * @Title: delete
     * @Description:
     * @author zhiwj
     * @param dataExplainId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> delete(Integer dataExplainId);

    /**
     * 发布数据解读
     * @Title: publish
     * @Description:
     * @author zhiwj
     * @param dataExplainIdList
     * @param updateType
     * @param reason
     * @param optUserId
     * @param optUserName
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> publish(List<Integer> dataExplainIdList, Integer updateType, String reason, Integer optUserId, String optUserName);
    
    /**
     * 查询
     * @Title: listByModule
     * @Description: 
     * @author zhiwj 
     * @param moduleId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.IndexDTO>>
     * @throws 
     */
    ServiceResponse<DataExplainDTO> listByModule(String moduleId);
}
