package com.gic.cloud.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.EnterprisePortraitRelDTO;

import java.util.List;
/**
 * 会员画像
 * @ClassName: EnterprisePortraitRelApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 11:22 AM 
 */
public interface EnterprisePortraitRelApiService {

    /**
     * 查询会员画像字段列表
     * @Title: listPortraitField 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @param dataType 1:基础画像 2:自定义画像
     * @param status 1:有效 2：回收站
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.EnterprisePortraitRelDTO>> 
     */
    ServiceResponse<List<EnterprisePortraitRelDTO>> listPortraitField(Integer enterpriseId, Integer dataType, Integer status);

    /**
     * 批量新增
     * @Title: insertForeach 
     * @Description:
     * @author guojuxing
     * @param list 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> insertForeach(List<EnterprisePortraitRelDTO> list);

    /**
     * 会员画像
     * @Title: savePortraitField 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param fieldCode
     * @param fieldName
     * @param dataType 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> savePortraitField( Integer enterpriseId, String fieldCode, String fieldName, Integer dataType);

    /**
     * 字段排序
     * @Title: sort 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param fieldCode 字段code
     * @param dataType 1：基础画像 2：自定义
     * @param sort 拖动的位置
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> sort(Integer enterpriseId, String fieldCode, Integer dataType, Integer sort);

    /**
     * 移入移除回收站
     * @Title: updateStatus 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param fieldCode
     * @param dataType 
     * @param status 0：移入回收站 1：移除回收站
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> updateStatus(Integer enterpriseId, String fieldCode, Integer dataType, Integer status);

    /**
     * 主键删除
     * @Title: delete 
     * @Description:
     * @author guojuxing
     * @param portraitRelationId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> delete(Integer portraitRelationId);
}
