package com.gic.cloud.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.FunctionDTO;
import com.gic.cloud.dto.FunctionModuleDTO;

import java.util.List;
/**
 * 功能接口
 * @ClassName: FunctionApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 11:10 AM 
 */
public interface FunctionApiService {
    /**
     * 新增功能权限集
     * @Title: saveFunction 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveFunction(FunctionDTO dto);

    /**
     * 编辑功能
     * @Title: editFunction 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> editFunction(FunctionDTO dto);

    /**
     * 删除功能
     * @Title: deleteFunction 
     * @Description:
     * @author guojuxing
     * @param functionId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> deleteFunction(Integer functionId);

    /**
     * 分页查询功能
     * @Title: pageFunction 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param functionName
     * @param currentPage
     * @param pageSize 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.cloud.dto.FunctionDTO>> 
     */
    ServiceResponse<Page<FunctionDTO>> pageFunction(Integer enterpriseId, String functionName, Integer currentPage, Integer pageSize);

    /**
     * 查询功能
     * @Title: listFunction 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param functionName 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.FunctionDTO>> 
     */
    ServiceResponse<List<FunctionDTO>> listFunction(Integer enterpriseId, String functionName);

    /**
     * 查询单条
     * @Title: getFunction 
     * @Description:
     * @author guojuxing
     * @param functionId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.cloud.dto.FunctionDTO> 
     */
    ServiceResponse<FunctionDTO> getFunction(Integer functionId);

    /**
     * 获取用户下的功能权限
     * @Title: getFunctionByUserId 
     * @Description:
     * @author guojuxing
     * @param userId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.FunctionModuleDTO>> 
     */
    ServiceResponse<List<FunctionModuleDTO>> getFunctionByUserId(Integer userId);
}
