package com.gic.cloud.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.IndexGroupDTO;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-13 15:31
 */
public interface IndexGroupApiService {

    /**
     * 新增指标分组
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param indexGroupDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> save(IndexGroupDTO indexGroupDTO);

    /**
     * 更新指标分组
     * @Title: update
     * @Description:
     * @author zhiwj
     * @param indexGroupDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> update(IndexGroupDTO indexGroupDTO);

    /**
     * 指标分组树结构
     * @Title: tree
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.IndexGroupDTO>>
     * @throws
     */
    ServiceResponse<List<IndexGroupDTO>> tree();

    /**
     * 删除指标分组
     * @Title: delete
     * @Description:
     * @author zhiwj
     * @param indexGroupId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> delete(Integer indexGroupId);
}
