package com.gic.cloud.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.AttentionStoreDTO;

import java.util.Map;
/**
 * 关注门店
 * @ClassName: StoreAttentionApiService 
 * @Description:  
 * @author boom 
 * @date 2020/9/7 11:18 AM 
 */
public interface StoreAttentionApiService {
    /**
     * 新增关注门店
     * @Title: addStoreAttenttion 
     * @Description:
     * @author boom
     * @param userId
     * @param enterpriseId
     * @param storeId 
     * @return  com.gic.api.base.commons.ServiceResponse 
     */
    ServiceResponse addStoreAttenttion(Integer userId, Integer enterpriseId, Integer storeId);

    /**
     * 删除关注门店
     * @Title: removeStoreAttenttion 
     * @Description:
     * @author boom
     * @param enterpriseId
     * @param userId
     * @param storeIds 
     * @return  com.gic.api.base.commons.ServiceResponse 
     */
    ServiceResponse removeStoreAttenttion(Integer enterpriseId, Integer userId, String storeIds);

    /**
     * 分页查询关注门店
     * @Title: pageStoreAttention 
     * @Description:
     * @author boom
     * @param userId
     * @param enterpriseId
     * @param pageNum
     * @param pageSize 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.cloud.dto.AttentionStoreDTO>> 
     */
    ServiceResponse<Page<AttentionStoreDTO>> pageStoreAttention(Integer userId, Integer enterpriseId, Integer pageNum, Integer pageSize);

    /**
     * 查询
     * @Title: getAllAttenttionStore 
     * @Description:
     * @author boom
     * @param userId
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.Map<java.lang.Integer,com.gic.cloud.dto.AttentionStoreDTO>> 
     */
    ServiceResponse<Map<Integer, AttentionStoreDTO>> getAllAttenttionStore(Integer userId, Integer enterpriseId);
}
