package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabAttentionStore;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 关注门店
 * @ClassName: TabAttentionStoreMapper 
 * @Description:  
 * @author boom 
 * @date 2020/9/7 10:41 AM 
 */
public interface TabAttentionStoreMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAttentionStore record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAttentionStore record);

    /**
     * 根据主键查询
     *
     * @param attentionId 主键
     * @return 实体对象
     */
    TabAttentionStore selectByPrimaryKey(Integer attentionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAttentionStore record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAttentionStore record);

    /**
     * 分页查询关注门店
     * @Title: pageStoreAttention 
     * @Description: 
     * @author boom
     * @param userId
     * @param enterpriseId 
     * @return  com.github.pagehelper.Page<com.gic.cloud.entity.TabAttentionStore> 
     */
    Page<TabAttentionStore> pageStoreAttention(@Param("userId") Integer userId, @Param("enterpriseId") Integer enterpriseId);

    /**
     * 删除关注门店
     * @Title: removeAttention 
     * @Description:
     * @author boom
     * @param userId
     * @param enterpriseId
     * @param storeIds 
     * @return  int 
     */
    int removeAttention(@Param("userId") Integer userId,
                        @Param("enterpriseId") Integer enterpriseId,
                        @Param("storeIds")List<Integer> storeIds);
}