package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabDataExplain;
import com.gic.cloud.qo.DataExplainQo;
import com.github.pagehelper.Page;
/**
 * 数据解读接口
 * @ClassName: TabDataExplainMapper 
 * @Description:    
 * @author zhiwj 
 * @date 2020/9/7 9:57 AM  
 */
public interface TabDataExplainMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataExplain record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataExplain record);

    /**
     * 根据主键查询
     *
     * @param dataExplainId 主键
     * @return 实体对象
     */
    TabDataExplain selectByPrimaryKey(Integer dataExplainId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataExplain record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataExplain record);

    /**
     * 实体参数查询数据解读
     * @Title: getBySelective 
     * @Description:
     * @author zhiwj
     * @param tabDataExplain 
     * @return  com.gic.cloud.entity.TabDataExplain 
     */
    TabDataExplain getBySelective(TabDataExplain tabDataExplain);

    /**
     * 查询数据解读列表数据
     * @Title: listDataExplain 
     * @Description:
     * @author zhiwj
     * @param dataExplainQo 
     * @return  com.github.pagehelper.Page<com.gic.cloud.entity.TabDataExplain> 
     */
    Page<TabDataExplain> listDataExplain(DataExplainQo dataExplainQo);
}