package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabIndexGroup;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 指标分组
 * @ClassName: TabIndexGroupMapper 
 * @Description:  
 * @author zhiwj 
 * @date 2020/9/7 10:30 AM 
 */
public interface TabIndexGroupMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexGroup record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexGroup record);

    /**
     * 根据主键查询
     *
     * @param indexGroupId 主键
     * @return 实体对象
     */
    TabIndexGroup selectByPrimaryKey(Integer indexGroupId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexGroup record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexGroup record);

    /**
     * 根据实体参数查询指标分组
     * @Title: getBySelective 
     * @Description:
     * @author zhiwj
     * @param indexGroup 
     * @return  com.gic.cloud.entity.TabIndexGroup 
     */
    TabIndexGroup getBySelective(TabIndexGroup indexGroup);

    /**
     * 根据主键 list 查询指标列表数据
     * @Title: listIndexGroup 
     * @Description:
     * @author zhiwj
     * @param indexGroupIdList 
     * @return  java.util.List<com.gic.cloud.entity.TabIndexGroup> 
     */
    List<TabIndexGroup> listIndexGroup(@Param("ids") List<Integer> indexGroupIdList);

    /**
     * 根据指标分组主键查询子分组主键ID list
     * @Title: listChildIndexGroup 
     * @Description:
     * @author zhiwj
     * @param indexGroupId 
     * @return  java.util.List<java.lang.Integer> 
     */
    List<Integer> listChildIndexGroup(@Param("indexGroupId") Integer indexGroupId);
}