package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabIndexLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 指标字典
 * @ClassName: TabIndexLogMapper 
 * @Description:  
 * @author zhiwj 
 * @date 2020/9/7 10:35 AM 
 */
public interface TabIndexLogMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexLog record);

    /**
     * 根据主键查询
     *
     * @param cloudIndexLogId 主键
     * @return 实体对象
     */
    TabIndexLog selectByPrimaryKey(Integer cloudIndexLogId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexLog record);

    /**
     * 查询指标字典列表数据
     * @Title: listBusinessLog 
     * @Description: 
     * @author guojuxing 
     * @param businessId
     * @param type 
     * @return  java.util.List<com.gic.cloud.entity.TabIndexLog> 
     */
    List<TabIndexLog> listBusinessLog(@Param("businessId") Integer businessId, @Param("type") Integer type);
}