package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabIndex;
import com.gic.cloud.qo.IndexQo;
import com.github.pagehelper.Page;
/**
 * 指标字典
 * @ClassName: TabIndexMapper 
 * @Description:  
 * @author zhiwj 
 * @date 2020/9/7 10:35 AM 
 */
public interface TabIndexMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndex record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndex record);

    /**
     * 根据主键查询
     *
     * @param indexId 主键
     * @return 实体对象
     */
    TabIndex selectByPrimaryKey(Integer indexId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndex record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndex record);

    /**
     * 指标字典
     * @Title: getBySelective 
     * @Description:
     * @author zhiwj
     * @param tabIndex 
     * @return  com.gic.cloud.entity.TabIndex 
     */
    TabIndex getBySelective(TabIndex tabIndex);

    /**
     * 查询指标字典列表数据
     * @Title: listIndex 
     * @Description:
     * @author guojuxing
     * @param indexQo 
     * @return  com.github.pagehelper.Page<com.gic.cloud.entity.TabIndex> 
     */
    Page<TabIndex> listIndex(IndexQo indexQo);
}