package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabIndexModuleRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 指标/数据解读关联
 * @ClassName: TabIndexModuleRelMapper 
 * @Description:  
 * @author zhiwj 
 * @date 2020/9/7 10:35 AM 
 */
public interface TabIndexModuleRelMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexModuleRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexModuleRel record);

    /**
     * 根据主键查询
     *
     * @param indexModuleRelId 主键
     * @return 实体对象
     */
    TabIndexModuleRel selectByPrimaryKey(Integer indexModuleRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexModuleRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexModuleRel record);

    /**
     * 删除字典/数据解读关联
     * @Title: delByBusinessId 
     * @Description:
     * @author zhiwj
     * @param businessId
     * @param type 
     * @return  void 
     */
    void delByBusinessId(@Param("businessId") Integer businessId, @Param("type") Integer type);

    /**
     * 新增字典/数据解读关联
     * @Title: insertSelectiveByNotExist 
     * @Description:
     * @author guojuxing
     * @param rel 
     * @return  void 
     */
    void insertSelectiveByNotExist(TabIndexModuleRel rel);

    /**
     * 编辑字典/数据解读关联
     * @Title: updateStatusByBusinessIds 
     * @Description:
     * @author guojuxing
     * @param businessId
     * @param moduleIdList
     * @param type 
     * @return  void 
     */
    void updateStatusByBusinessIds(@Param("businessId") Integer businessId, @Param("ids") List<String> moduleIdList, @Param("type") Integer type);

    /**
     * 查询字典/数据解读关联的模块ID
     * @Title: listModuleIdByBusinessId 
     * @Description:
     * @author guojuxing
     * @param businessId
     * @param type 
     * @return  java.util.List<java.lang.String> 
     */
    List<String> listModuleIdByBusinessId(@Param("businessId") Integer businessId, @Param("type") Integer type);

    /**
     * 查询字典/数据解读的ID
     * @Title: listBusinessIdByModuleId 
     * @Description:
     * @author zhiwj
     * @param moduleId
     * @param type 
     * @return  java.util.List<java.lang.Integer> 
     */
    List<Integer> listBusinessIdByModuleId(@Param("moduleId") String moduleId, @Param("type") Integer type);

    /**
     * 查询模块ID
     * @Title: listBusinessIdByModuleIds 
     * @Description:
     * @author zhiwj
     * @param moduleIdList 
     * @return  java.util.List<java.lang.Integer> 
     */
    List<Integer> listBusinessIdByModuleIds(@Param("ids") List<String> moduleIdList);

    /**
     * 查询字典/数据解读关联
     * @Title: listModuleIdByBusinessIds 
     * @Description:
     * @author zhiwj
     * @param businessIdList
     * @param type 
     * @return  java.util.List<com.gic.cloud.entity.TabIndexModuleRel> 
     */
    List<TabIndexModuleRel> listModuleIdByBusinessIds(@Param("ids") List<Integer> businessIdList, @Param("type") Integer type);
}