package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabSysDataAuth;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 数据权限
 * @ClassName: TabSysDataAuthMapper 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:34 AM 
 */
public interface TabSysDataAuthMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysDataAuth record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysDataAuth record);

    /**
     * 根据主键查询
     *
     * @param dataAuthId 主键
     * @return 实体对象
     */
    TabSysDataAuth selectByPrimaryKey(Integer dataAuthId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysDataAuth record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysDataAuth record);


    /**
     * 数据权限名称是否重复
     * @Title: countByDataAuthName 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param dataAuthId
     * @param dataAuthName 
     * @return  int 
     */
    int countByDataAuthName(@Param("enterpriseId") Integer enterpriseId,
                            @Param("dataAuthId") Integer dataAuthId,
                            @Param("dataAuthName") String dataAuthName);

    /**
     * 删除数据权限
     * @Title: deleteDataAuth 
     * @Description:
     * @author guojuxing
     * @param dataAuthId 
     * @return  int 
     */
    int deleteDataAuth(@Param("dataAuthId") Integer dataAuthId);


    /**
     * 数据权限列表数据
     * @Title: listDataAuth 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param dataAuthName 
     * @return  java.util.List<com.gic.cloud.entity.TabSysDataAuth> 
     */
    List<TabSysDataAuth> listDataAuth(@Param("enterpriseId")Integer enterpriseId,
                                      @Param("dataAuthName")String dataAuthName);
}