package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabSysFunction;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 功能权限
 * @ClassName: TabSysFunctionMapper 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:32 AM 
 */
public interface TabSysFunctionMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysFunction record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysFunction record);

    /**
     * 根据主键查询
     *
     * @param functionId 主键
     * @return 实体对象
     */
    TabSysFunction selectByPrimaryKey(Integer functionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysFunction record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysFunction record);


    /**
     * 功能权限名称是否重复
     * @Title: countByRepeatFunctionName 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param functionId
     * @param functionName 
     * @return  int 
     */
    int countByRepeatFunctionName(@Param("enterpriseId") Integer enterpriseId,
                                  @Param("functionId") Integer functionId,
                                  @Param("functionName") String functionName);


    /**
     * 删除功能权限
     * @Title: deleteFunction 
     * @Description:
     * @author guojuxing
     * @param functionId 
     * @return  void 
     */
    void deleteFunction(@Param("functionId") Integer functionId);

    /**
     * 查询功能权限列表数据
     * @Title: listFunction 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param functionName 
     * @return  java.util.List<com.gic.cloud.entity.TabSysFunction> 
     */
    List<TabSysFunction> listFunction(@Param("enterpriseId")Integer enterpriseId, @Param("functionName") String functionName);
}