package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabSysFunctionModule;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 功能权限
 * @ClassName: TabSysFunctionModuleMapper 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:33 AM 
 */
public interface TabSysFunctionModuleMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysFunctionModule record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysFunctionModule record);

    /**
     * 根据主键查询
     *
     * @param functionModuleId 主键
     * @return 实体对象
     */
    TabSysFunctionModule selectByPrimaryKey(Integer functionModuleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysFunctionModule record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysFunctionModule record);

    /**
     * 查询功能模块
     * @Title: listFunctionModule 
     * @Description:
     * @author guojuxing
     * @param search 
     * @return  java.util.List<com.gic.cloud.entity.TabSysFunctionModule> 
     */
    List<TabSysFunctionModule> listFunctionModule(@Param("search") String search);
}