package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabSysTempStoreCondition;
import org.apache.ibatis.annotations.Param;
/**
 * 门店暂存区
 * @ClassName: TabSysTempStoreConditionMapper 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:34 AM 
 */
public interface TabSysTempStoreConditionMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysTempStoreCondition record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysTempStoreCondition record);

    /**
     * 根据主键查询
     *
     * @param tempStoreConditionId 主键
     * @return 实体对象
     */
    TabSysTempStoreCondition selectByPrimaryKey(Integer tempStoreConditionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysTempStoreCondition record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysTempStoreCondition record);

    /**
     * 获取暂存区信息
     * @Title: getTempStoreCondition 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.cloud.entity.TabSysTempStoreCondition 
     */
    TabSysTempStoreCondition getTempStoreCondition(@Param("enterpriseId") Integer enterpriseId);
}