package com.gic.cloud.dao.mapper;

import com.gic.cloud.entity.TabUpdateTips;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 小红点提示
 * @ClassName: TabUpdateTipsMapper 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:35 AM 
 */
public interface TabUpdateTipsMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabUpdateTips record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabUpdateTips record);

    /**
     * 根据主键查询
     *
     * @param updateTipsId 主键
     * @return 实体对象
     */
    TabUpdateTips selectByPrimaryKey(Integer updateTipsId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabUpdateTips record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabUpdateTips record);

    /**
     * 更新小红点提示表状态
     * @Title: updateStatus 
     * @Description: 
     * @author zhiwj
     * @param businessId
     * @param type
     * @param userId
     * @param showStatus 
     * @return  void 
     */
    void updateStatus(@Param("businessId") Integer businessId, @Param("type") Integer type, @Param("userId") Integer userId, @Param("showStatus") Integer showStatus);

    /**
     * 查询小红点提示列表数据
     * @Title: listByIndexIdAndUser 
     * @Description:
     * @author zhiwj
     * @param businessIdList
     * @param type
     * @param userId 
     * @return  java.util.List<com.gic.cloud.entity.TabUpdateTips> 
     */
    List<TabUpdateTips> listByIndexIdAndUser(@Param("ids") List<Integer> businessIdList, @Param("type") int type, @Param("userId") Integer userId);
}