package com.gic.cloud.service;


import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.AccountGroupDTO;
import com.gic.cloud.entity.TabSysAccountGroup;

import java.util.List;
/**
 * 账号分组
 * @ClassName: AccountGroupService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:31 AM 
 */
public interface AccountGroupService {

    /**
     * 新增账号分组
     * @Title: saveAccountGroup 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveAccountGroup(AccountGroupDTO dto);

    /**
     * 编辑账号分组
     * @Title: editAccountGroup 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void editAccountGroup(AccountGroupDTO dto);

    /**
     * 判断是否账号分组名称重复
     * @Title: isRepeatAccountGroupName 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param accountGroupId
     * @param accountGroupName 
     * @return  boolean 
     */
    boolean isRepeatAccountGroupName(Integer enterpriseId, Integer accountGroupId, String accountGroupName);

    /**
     * 查询商户最大账号分组的序号值
     * @param enterpriseId
     * @return
     */
    int queryMaxSort(Integer enterpriseId);

    /**
     * 查询详情
     * @Title: getAccountGroupById 
     * @Description:
     * @author guojuxing
     * @param accountGroupId 
     * @return  com.gic.cloud.entity.TabSysAccountGroup 
     */
    TabSysAccountGroup getAccountGroupById(Integer accountGroupId);

    /**
     * 排序账号分组
     * @Title: sortAccountGroup 
     * @Description:
     * @author guojuxing
     * @param record
     * @param targetSort 
     * @return  void 
     */
    void sortAccountGroup(TabSysAccountGroup record, Integer targetSort);

    /**
     * 查询账号分组列表数据
     * @Title: listAccountGroupOrderBySort 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  java.util.List<com.gic.cloud.entity.TabSysAccountGroup> 
     */
    List<TabSysAccountGroup> listAccountGroupOrderBySort(Integer enterpriseId);

    /**
     * 删除账号分组
     * @Title: deleteAccountGroup 
     * @Description:
     * @author guojuxing
     * @param accountGroupId 
     * @return  void 
     */
    void deleteAccountGroup(Integer accountGroupId);
}
