package com.gic.cloud.service;

import com.gic.cloud.dto.DataAuthDTO;
import com.gic.cloud.entity.TabSysDataAuth;
import com.github.pagehelper.Page;

import java.util.List;
/**
 * 数据权限接口
 * @ClassName: DataAuthService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 9:53 AM 
 */
public interface DataAuthService {

    /**
     * 新增数据权限
     * @Title: saveDataAuth 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveDataAuth(DataAuthDTO dto);

    /**
     * 编辑数据权限
     * @Title: editDataAuth 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void editDataAuth(DataAuthDTO dto);


    /**
     * 主键查询数据权限
     * @Title: getDataAuth 
     * @Description:
     * @author guojuxing
     * @param dataAuthId 
     * @return  com.gic.cloud.entity.TabSysDataAuth 
     */
    TabSysDataAuth getDataAuth(Integer dataAuthId);

    /**
     * 数据权限名称是否重复
     * @Title: isRepeatDataAuthName 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param dataAuthId
     * @param dataAuthName 
     * @return  boolean 
     */
    boolean isRepeatDataAuthName(Integer enterpriseId, Integer dataAuthId, String dataAuthName);

    /**
     * 主键删除数据权限
     * @Title: deleteDataAuth 
     * @Description:
     * @author guojuxing
     * @param dataAuthId 
     * @return  int 
     */
    int deleteDataAuth(Integer dataAuthId);

    /**
     * 分页查询数据权限
     * @Title: pageDataAuth 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param dataAuthName
     * @param currentPage
     * @param pageSize 
     * @return  com.github.pagehelper.Page<com.gic.cloud.entity.TabSysDataAuth> 
     */
    Page<TabSysDataAuth> pageDataAuth(Integer enterpriseId, String dataAuthName, Integer currentPage, Integer pageSize);

    /**
     * 查询数据权限
     * @Title: listDataAuth 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param dataAuthName 
     * @return  java.util.List<com.gic.cloud.entity.TabSysDataAuth> 
     */
    List<TabSysDataAuth> listDataAuth(Integer enterpriseId, String dataAuthName);
}
