package com.gic.cloud.service;

import com.gic.cloud.dto.DataExplainDTO;
import com.gic.cloud.entity.TabDataExplain;
import com.gic.cloud.qo.DataExplainQo;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 10:22
 */
public interface DataExplainService {

    /**
     * 数据解读名称是否重复
     * @Title: isNameRepeat 
     * @Description:
     * @author zhiwj
     * @param dataName
     * @param dataExplainId 
     * @return  boolean 
     */
    boolean isNameRepeat(String dataName, Integer dataExplainId);

    /**
     * 新增数据解读
     * @Title: save 
     * @Description:
     * @author zhiwj
     * @param dataExplainDTO 
     * @return  java.lang.Integer 
     */
    Integer save(DataExplainDTO dataExplainDTO);

    /**
     * 更新数据解读
     * @Title: update 
     * @Description:
     * @author zhiwj
     * @param dataExplainDTO 
     * @return  void 
     */
    void update(DataExplainDTO dataExplainDTO);

    /**
     * 获取数据解读
     * @Title: getByDataExplainId 
     * @Description:
     * @author zhiwj
     * @param dataExplainId 
     * @return  com.gic.cloud.entity.TabDataExplain 
     */
    TabDataExplain getByDataExplainId(Integer dataExplainId);

    /**
     * 分页查询数据解读
     * @Title: listDataExplain 
     * @Description:
     * @author zhiwj
     * @param dataExplainQo 
     * @return  com.github.pagehelper.Page<com.gic.cloud.entity.TabDataExplain> 
     */
    Page<TabDataExplain> listDataExplain(DataExplainQo dataExplainQo);

    /**
     * 查询数据解读列表数据
     * @Title: listAllDataExplain 
     * @Description:
     * @author zhiwj
     * @param dataExplainQo 
     * @return  java.util.List<com.gic.cloud.entity.TabDataExplain> 
     */
    List<TabDataExplain> listAllDataExplain(DataExplainQo dataExplainQo);

    /**
     * 删除数据解读
     * @Title: deleteById 
     * @Description:
     * @author zhiwj
     * @param dataExplainId 
     * @return  void 
     */
    void deleteById(Integer dataExplainId);
}
