package com.gic.cloud.service;

import com.gic.cloud.dto.FunctionModuleDTO;
import com.gic.cloud.entity.TabSysFunctionModule;

import java.util.List;
/**
 * 功能模块接口
 * @ClassName: FunctionModuleService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 9:51 AM 
 */
public interface FunctionModuleService {
    /**
     * 新增功能模块
     * @Title: saveFunctionModule 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveFunctionModule(FunctionModuleDTO dto);

    /**
     * 编辑功能模块
     * @Title: editFunctionModule 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void editFunctionModule(FunctionModuleDTO dto);

    /**
     * 主键查询功能模块信息
     * @Title: getFunctionModule 
     * @Description:
     * @author guojuxing
     * @param functionModuleId 
     * @return  com.gic.cloud.entity.TabSysFunctionModule 
     */
    TabSysFunctionModule getFunctionModule(Integer functionModuleId);


    /**
     * 查询功能模块列表数据
     * @Title: listFunctionModule 
     * @Description:
     * @author guojuxing
     * @param search 
     * @return  java.util.List<com.gic.cloud.entity.TabSysFunctionModule> 
     */
    List<TabSysFunctionModule> listFunctionModule(String search);
}
