package com.gic.cloud.service;

import com.gic.cloud.dto.FunctionDTO;
import com.gic.cloud.entity.TabSysFunction;
import com.github.pagehelper.Page;

import java.util.List;
/**
 * 功能权限接口
 * @ClassName: FunctionService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 9:50 AM 
 */
public interface FunctionService {

    /**
     * 新增功能权限
     * @Title: saveFunction 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveFunction(FunctionDTO dto);

    /**
     * 编辑功能权限
     * @Title: editFunction 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void editFunction(FunctionDTO dto);

    /**
     * 主键查询功能权限信息
     * @Title: getFunction 
     * @Description:
     * @author guojuxing
     * @param functionId 
     * @return  com.gic.cloud.entity.TabSysFunction 
     */
    TabSysFunction getFunction(Integer functionId);

    /**
     * 功能权限名称是否重复
     * @Title: isRepeatFunctionName 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param functionId
     * @param functionName 
     * @return  boolean 
     */
    boolean isRepeatFunctionName(Integer enterpriseId, Integer functionId, String functionName);

    /**
     * 主键删除功能权限
     * @Title: deleteFunction 
     * @Description:
     * @author guojuxing
     * @param functionId 
     * @return  void 
     */
    void deleteFunction(Integer functionId);

    /**
     * 分页查询功能权限
     * @Title: pageFunction 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param functionName
     * @param currentPage
     * @param pageSize 
     * @return  com.github.pagehelper.Page<com.gic.cloud.entity.TabSysFunction> 
     */
    Page<TabSysFunction> pageFunction(Integer enterpriseId, String functionName,
                      Integer currentPage, Integer pageSize);

    /**
     * 查询功能权限
     * @Title: listFunction 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param functionName 
     * @return  java.util.List<com.gic.cloud.entity.TabSysFunction> 
     */
    List<TabSysFunction> listFunction(Integer enterpriseId, String functionName);
}
