package com.gic.cloud.service;

import com.gic.cloud.dto.IndexDescDTO;
import com.gic.cloud.entity.TabIndexDescEnterprise;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-23 16:46
 */
public interface IndexDescEnterpriseService {
    /**
     * 更新排序值
     * @Title: updateSort 
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param indexDescEnterpriseId
     * @param sort 
     * @return  void 
     */
    void updateSort(Integer enterpriseId, Integer indexDescEnterpriseId, Integer sort);

    /**
     * 回收站
     * @Title: moveToRecycle 
     * @Description:
     * @author zhiwj
     * @param indexDescEnterpriseId 
     * @return  void 
     */
    void moveToRecycle(Integer indexDescEnterpriseId);

    /**
     * 批量更新
     * @Title: batchUpdate 
     * @Description:
     * @author zhiwj
     * @param descList 
     * @return  void 
     */
    void batchUpdate(List<IndexDescDTO> descList);

    /**
     * 批量更新
     * @Title: batchUpdate 
     * @Description:
     * @author zhiwj
     * @param idsArr 
     * @return  void 
     */
    void batchUpdate(String[] idsArr);

    /**
     * 删除
     * @Title: deleteList 
     * @Description:
     * @author zhiwj
     * @param deleteList 
     * @return  void 
     */
    void deleteList(List<Integer> deleteList);

    /**
     * 新增
     * @Title: insert 
     * @Description:
     * @author zhiwj
     * @param indexDescEnterprise 
     * @return  void 
     */
    void insert(TabIndexDescEnterprise indexDescEnterprise);

    /**
     * 物理删除
     * @param enterpriseId
     * @return
     */
    int delete(Integer enterpriseId);
}
