package com.gic.cloud.service;


import com.gic.cloud.dto.IndexDescDTO;
import com.gic.cloud.entity.TabIndexDesc;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-23 15:11
 */
public interface IndexDescService {

    /**
     * 查询指标
     * @Title: listByEnterpriseAndModule 
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param moduleId
     * @param indexGroupName 
     * @return  java.util.List<com.gic.cloud.dto.IndexDescDTO> 
     */
    List<IndexDescDTO> listByEnterpriseAndModule(Integer enterpriseId, String moduleId, String indexGroupName);

    /**
     * 查询指标
     * @Title: listByEnterpriseAndModuleDetail 
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param moduleId
     * @param indexGroupName
     * @param userId 
     * @return  java.util.List<com.gic.cloud.dto.IndexDescDTO> 
     */
    List<IndexDescDTO> listByEnterpriseAndModuleDetail(Integer enterpriseId, String moduleId, String indexGroupName, Integer userId);

    /**
     * 查询
     * @Title: listRecycle 
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param moduleId
     * @param indexGroupName
     * @param userId 
     * @return  java.util.List<com.gic.cloud.dto.IndexDescDTO> 
     */
    List<IndexDescDTO> listRecycle(Integer enterpriseId, String moduleId, String indexGroupName, Integer userId);

    /**
     * 指标排序
     * @Title: sort 
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param moduleId
     * @param indexGroupName
     * @param indexDescEnterpriseId
     * @param seq 
     * @return  void 
     */
    void sort(Integer enterpriseId, String moduleId, String indexGroupName, Integer indexDescEnterpriseId, Integer seq);

    /**
     * 获取指标
     * @Title: getIndexDesc 
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param indexDescId 
     * @return  com.gic.cloud.entity.TabIndexDesc 
     */
    TabIndexDesc getIndexDesc(Integer enterpriseId, Integer indexDescId);

    /**
     * 查询
     * @Title: listAllUnRel 
     * @Description:
     * @author zhiwj
     * @param indexDescIdList 
     * @return  java.util.List<com.gic.cloud.entity.TabIndexDesc> 
     */
    List<TabIndexDesc> listAllUnRel(List<Integer> indexDescIdList);

    /**
     * 查询
     * @Title: listByIds 
     * @Description:
     * @author zhiwj
     * @param indexDescIdList 
     * @return  java.util.List<com.gic.cloud.entity.TabIndexDesc> 
     */
    List<TabIndexDesc> listByIds(List<Integer> indexDescIdList);

    /**
     * 获取
     * @Title: getIndexDesc 
     * @Description:
     * @author zhiwj
     * @param moduleId
     * @param indexCode
     * @param indexGroupName 
     * @return  com.gic.cloud.entity.TabIndexDesc 
     */
    TabIndexDesc getIndexDesc(String moduleId, String indexCode, String indexGroupName);

    /**
     * 初始化指标
     * @Title: init 
     * @Description:
     * @author zhiwj
     * @param enterpriseId 
     * @return  void 
     */
    void init(Integer enterpriseId);
}
