package com.gic.cloud.service;

import com.gic.cloud.dto.IndexGroupDTO;
import com.gic.cloud.entity.TabIndexGroup;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-13 15:37
 */
public interface IndexGroupService {
    /**
     * 是否指标分组名称重复
     * @Title: isNameRepeat 
     * @Description: 是否指标名称重复
     * @author zhiwj
     * @param indexGroupName
     * @param indexGroupId 
     * @return  boolean 
     */
    boolean isNameRepeat(String indexGroupName, Integer indexGroupId);

    /**
     * 新增指标分组
     * @Title: save 
     * @Description:
     * @author zhiwj
     * @param indexGroupDTO 
     * @return  java.lang.Integer 
     */
    Integer save(IndexGroupDTO indexGroupDTO);

    /**
     * 根据主键ID查询指标分组
     * @Title: getById 
     * @Description:
     * @author zhiwj
     * @param indexGroupId 
     * @return  com.gic.cloud.entity.TabIndexGroup 
     */
    TabIndexGroup getById(Integer indexGroupId);

    /**
     * 更新指标分组
     * @Title: update 
     * @Description:
     * @author zhiwj
     * @param indexGroupDTO 
     * @return  void 
     */
    void update(IndexGroupDTO indexGroupDTO);

    /**
     * 删除指标分组
     * @Title: delete 
     * @Description:
     * @author zhiwj
     * @param indexGroupId 
     * @return  void 
     */
    void delete(Integer indexGroupId);

    /**
     * 查询指标分组列表数据
     * @Title: listIndexGroup 
     * @Description:
     * @author zhiwj  
     * @return  java.util.List<com.gic.cloud.entity.TabIndexGroup> 
     */
    List<TabIndexGroup> listIndexGroup();

    /**
     * 根据主键ID list 查询指名称
     * @Title: getNameByIds 
     * @Description:
     * @author zhiwj
     * @param indexGroupIdList 
     * @return  java.lang.String 
     */
    String getNameByIds(List<Integer> indexGroupIdList);

    /**
     * 查询子分组
     * @Title: listChildIndexGroup 
     * @Description:
     * @author zhiwj
     * @param indexGroupId 
     * @return  java.util.List<java.lang.Integer> 
     */
    List<Integer> listChildIndexGroup(Integer indexGroupId);
}
