package com.gic.cloud.service;

import com.gic.cloud.dto.DataExplainDTO;
import com.gic.cloud.dto.IndexDTO;
import com.gic.cloud.entity.TabIndexLog;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 10:22
 */
public interface IndexLogService {
    /**
     * 新增指标字典日志
     * @Title: saveIndexInsertLog 
     * @Description:
     * @author zhiwj
     * @param indexDTO 
     * @return  void 
     */
    void saveIndexInsertLog(IndexDTO indexDTO);

    /**
     * 指标字典更新日志
     * @Title: saveIndexUpdateLog 
     * @Description:
     * @author zhiwj
     * @param indexDTO
     * @param reason 
     * @return  void 
     */
    void saveIndexUpdateLog(IndexDTO indexDTO, String reason);

    /**
     * 新增数据解读、插入日志
     * @Title: saveDataExplainInsertLog 
     * @Description:
     * @author zhiwj
     * @param dataExplainDTO 
     * @return  void 
     */
    void saveDataExplainInsertLog(DataExplainDTO dataExplainDTO);

    /**
     * 数据解读更新日志
     * @Title: saveDataExplainUpdateLog 
     * @Description:
     * @author zhiwj
     * @param dataExplainDTO
     * @param reason 
     * @return  void 
     */
    void saveDataExplainUpdateLog(DataExplainDTO dataExplainDTO, String reason);

    /**
     * 查询指标日志
     * @Title: listIndexLog 
     * @Description:
     * @author zhiwj
     * @param indexId 
     * @return  java.util.List<com.gic.cloud.entity.TabIndexLog> 
     */
    List<TabIndexLog> listIndexLog(Integer indexId);

    /**
     * 查询数据解读日志
     * @Title: listDataExplainLog 
     * @Description:
     * @author zhiwj
     * @param dataExplainId 
     * @return  java.util.List<com.gic.cloud.entity.TabIndexLog> 
     */
    List<TabIndexLog> listDataExplainLog(Integer dataExplainId);
}
