package com.gic.cloud.service;

import java.util.List;
import java.util.Map;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 10:22
 */
public interface IndexModuleRelService {
    /**
     * 新增字典/数据解读关联
     * @Title: save 
     * @Description:
     * @author zhiwj
     * @param indexId
     * @param moduleId
     * @param type 
     * @return  void 
     */
    void save(Integer indexId, List<String> moduleId, Integer type);

    /**
     * 查询指标模块ID
     * @Title: listModuleIdByBusinessId 
     * @Description:
     * @author zhiwj
     * @param indexId
     * @param type 
     * @return  java.util.List<java.lang.String> 
     */
    List<String> listModuleIdByBusinessId(Integer indexId, Integer type);

    /**
     * 查询模块ID list
     * @Title: listBusinessIdByModuleId 
     * @Description:
     * @author zhiwj
     * @param moduleId
     * @param type 
     * @return  java.util.List<java.lang.Integer> 
     */
    List<Integer> listBusinessIdByModuleId(String moduleId, Integer type);

    /**
     * 查询指标/数据解读 ID list
     * @Title: listBusinessIdByModuleIds 
     * @Description:
     * @author zhiwj
     * @param moduleIdList 
     * @return  java.util.List<java.lang.Integer> 
     */
    List<Integer> listBusinessIdByModuleIds(List<String> moduleIdList);

    /**
     * 删除
     * @Title: deleteByBusinessId 
     * @Description:
     * @author zhiwj
     * @param businessId
     * @param type 
     * @return  void 
     */
    void deleteByBusinessId(Integer businessId, Integer type);

    /**
     * 分页查询
     * @Title: groupModuleIdByBusinessIds 
     * @Description:
     * @author zhiwj
     * @param indexIdList
     * @param type 
     * @return  java.util.Map<java.lang.Integer,java.util.List<java.lang.String>> 
     */
    Map<Integer, List<String>> groupModuleIdByBusinessIds(List<Integer> indexIdList, Integer type);

    /**
     * 查询
     * @Title: listRelModuleId 
     * @Description:
     * @author zhiwj
     * @param type 
     * @return  java.util.List<java.lang.String> 
     */
    List<String> listRelModuleId(Integer type);
}
