package com.gic.cloud.service;

import com.gic.cloud.dto.IndexDTO;
import com.gic.cloud.entity.TabIndex;
import com.gic.cloud.qo.IndexQo;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 10:20
 */
public interface IndexService {

    /**
     * 指标字典名称是否重复
     * @Title: isNameRepeat 
     * @Description:
     * @author zhiwj
     * @param name
     * @param indexId 
     * @return  boolean 
     */
    boolean isNameRepeat(String name, Integer indexId);

    /**
     * 指标字典code是否重复
     * @Title: isCodeRepeat 
     * @Description:
     * @author zhiwj
     * @param code
     * @param indexId 
     * @return  boolean 
     */
    boolean isCodeRepeat(String code, Integer indexId);

    /**
     * 新增指标字典
     * @Title: save 
     * @Description:
     * @author zhiwj
     * @param indexDTO 
     * @return  java.lang.Integer 
     */
    Integer save(IndexDTO indexDTO);

    /**
     * 更新指标字典
     * @Title: update 
     * @Description:
     * @author zhiwj
     * @param indexDTO 
     * @return  void 
     */
    void update(IndexDTO indexDTO);

    /**
     * 获取指标字典
     * @Title: getByIndexId 
     * @Description:
     * @author zhiwj
     * @param indexId 
     * @return  com.gic.cloud.entity.TabIndex 
     */
    TabIndex getByIndexId(Integer indexId);

    /**
     * 分页查询指标字典
     * @Title: listIndex 
     * @Description:
     * @author zhiwj
     * @param indexQo 
     * @return  com.github.pagehelper.Page<com.gic.cloud.entity.TabIndex> 
     */
    Page<TabIndex> listIndex(IndexQo indexQo);

    /**
     * 查询指标字典
     * @Title: listAllIndex 
     * @Description:
     * @author zhiwj
     * @param indexQo 
     * @return  java.util.List<com.gic.cloud.entity.TabIndex> 
     */
    List<TabIndex> listAllIndex(IndexQo indexQo);

    /**
     * 删除指标字典
     * @Title: deleteById 
     * @Description:
     * @author zhiwj
     * @param indexId 
     * @return  void 
     */
    void deleteById(Integer indexId);

    /**
     * 获取指标字典
     * @Title: getByIndexCode 
     * @Description:
     * @author zhiwj
     * @param moduleId
     * @param indexCode 
     * @return  com.gic.cloud.entity.TabIndex 
     */
    TabIndex getByIndexCode(String moduleId, String indexCode);
}
