package com.gic.cloud.service;

import com.gic.cloud.entity.TabUpdateTips;

import java.util.List;
import java.util.Map;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 14:28
 */
public interface UpdateTipService {

    /**
     * 新增小红点提示
     * @Title: insertBySaveUser 
     * @Description:
     * @author zhiwj
     * @param userId 
     * @return  void 
     */
    void insertBySaveUser(Integer userId);

    /**
     * 新增小红点提示
     * @Title: insertBySaveBusiness 
     * @Description:
     * @author zhiwj
     * @param businessId
     * @param type 
     * @return  void 
     */
    void insertBySaveBusiness(Integer businessId, Integer type);

    /**
     * 小红点提示发布
     * @Title: publish 
     * @Description:
     * @author zhiwj
     * @param businessId 指标ID
     * @param type 指标/数据解读
     * @return  void 
     */
    void publish(Integer businessId, Integer type);

    /**
     * 置灰小红点
     * @Title: erase 
     * @Description:
     * @author zhiwj
     * @param userId
     * @param updateTipsId
     * @param type 
     * @return  void 
     */
    void erase(Integer userId, Integer updateTipsId, Integer type);

    /**
     * 指标字典和用户的map
     * @Title: mapByIndexIdAndUser 
     * @Description:
     * @author zhiwj
     * @param indexIdList
     * @param type
     * @param userId 
     * @return  java.util.Map<java.lang.Integer,com.gic.cloud.entity.TabUpdateTips> 
     */
    Map<Integer, TabUpdateTips> mapByIndexIdAndUser(List<Integer> indexIdList, int type, Integer userId);
}
