package com.gic.cloud.service.impl;

import com.gic.cloud.constanst.DeleteFlagConstants;
import com.gic.cloud.dao.mapper.TabDataExplainMapper;
import com.gic.cloud.dto.DataExplainDTO;
import com.gic.cloud.entity.TabDataExplain;
import com.gic.cloud.qo.DataExplainQo;
import com.gic.cloud.service.DataExplainService;
import com.gic.commons.util.EntityUtil;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 16:51
 */
@Service
public class DataExplainServiceImpl implements DataExplainService {

    @Autowired
    private TabDataExplainMapper tabDataExplainMapper;

    @Override
    public boolean isNameRepeat(String dataName, Integer dataExplainId) {
        TabDataExplain tabDataExplain = new TabDataExplain();
        tabDataExplain.setDataExplainId(dataExplainId);
        tabDataExplain.setDataName(dataName);
        return tabDataExplainMapper.getBySelective(tabDataExplain) != null;
    }

    @Override
    public Integer save(DataExplainDTO dataExplainDTO) {
        TabDataExplain tabDataExplain = EntityUtil.changeEntityByJSON(TabDataExplain.class, dataExplainDTO);
        tabDataExplain.setCreateTime(new Date());
        tabDataExplain.setDataExplainId(DeleteFlagConstants.NORMAL_STATUS);
        tabDataExplainMapper.insertSelective(tabDataExplain);
        return tabDataExplain.getDataExplainId();
    }

    @Override
    public void update(DataExplainDTO dataExplainDTO) {
        TabDataExplain tabDataExplain = EntityUtil.changeEntityByJSON(TabDataExplain.class, dataExplainDTO);
        tabDataExplainMapper.updateByPrimaryKeySelective(tabDataExplain);
    }

    @Override
    public TabDataExplain getByDataExplainId(Integer dataExplainId) {
        return tabDataExplainMapper.selectByPrimaryKey(dataExplainId);
    }

    @Override
    public Page<TabDataExplain> listDataExplain(DataExplainQo dataExplainQo) {
        PageHelper.startPage(dataExplainQo.getCurrentPage(), dataExplainQo.getPageSize());
        return tabDataExplainMapper.listDataExplain(dataExplainQo);
    }

    @Override
    public List<TabDataExplain> listAllDataExplain(DataExplainQo dataExplainQo) {
        return tabDataExplainMapper.listDataExplain(dataExplainQo);
    }

    @Override
    public void deleteById(Integer dataExplainId) {
        TabDataExplain dataExplain = new TabDataExplain();
        dataExplain.setDataExplainId(dataExplainId);
        dataExplain.setDataExplainId(DeleteFlagConstants.DELETE_STATUS);
        tabDataExplainMapper.updateByPrimaryKeySelective(dataExplain);
    }
}
