package com.gic.cloud.service.impl;

import java.util.Date;
import java.util.List;

import com.gic.cloud.constanst.DeleteFlagConstants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.cloud.dao.mapper.TabSysFunctionModuleMapper;
import com.gic.cloud.dto.FunctionModuleDTO;
import com.gic.cloud.entity.TabSysFunctionModule;
import com.gic.cloud.service.FunctionModuleService;
import com.gic.commons.util.EntityUtil;
/**
 * 功能模块
 * @ClassName: FunctionModuleServiceImpl 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:33 AM 
 */
@Service("functionModuleService")
public class FunctionModuleServiceImpl implements FunctionModuleService{
    @Autowired
    private TabSysFunctionModuleMapper tabSysFunctionModuleMapper;

    @Override
    public Integer saveFunctionModule(FunctionModuleDTO dto) {
        TabSysFunctionModule record = EntityUtil.changeEntityNew(TabSysFunctionModule.class, dto);
        Date now = new Date();
        record.setCreateTime(now);
        record.setUpdateTime(now);
        record.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        tabSysFunctionModuleMapper.insert(record);
        return record.getFunctionModuleId();
    }

    @Override
    public void editFunctionModule(FunctionModuleDTO dto) {
        TabSysFunctionModule record = EntityUtil.changeEntityNew(TabSysFunctionModule.class, dto);
        dto.setUpdateTime(new Date());
        tabSysFunctionModuleMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabSysFunctionModule getFunctionModule(Integer functionModuleId) {
        return tabSysFunctionModuleMapper.selectByPrimaryKey(functionModuleId);
    }

    @Override
    public List<TabSysFunctionModule> listFunctionModule(String search) {
        return tabSysFunctionModuleMapper.listFunctionModule(search);
    }
}
