package com.gic.cloud.service.impl;

import com.gic.cloud.constanst.DeleteFlagConstants;
import com.gic.cloud.dao.mapper.TabSysFunctionMapper;
import com.gic.cloud.dto.FunctionDTO;
import com.gic.cloud.entity.TabSysFunction;
import com.gic.cloud.service.FunctionService;
import com.gic.commons.util.EntityUtil;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
/**
 * 功能权限
 * @ClassName: FunctionServiceImpl 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:33 AM 
 */
@Service("functionService")
public class FunctionServiceImpl implements FunctionService{
    @Autowired
    private TabSysFunctionMapper tabSysFunctionMapper;

    @Override
    public Integer saveFunction(FunctionDTO dto) {
        TabSysFunction record = EntityUtil.changeEntityNew(TabSysFunction.class, dto);
        Date now = new Date();
        record.setCreateTime(now);
        record.setUpdateTime(now);
        record.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        tabSysFunctionMapper.insert(record);
        return record.getFunctionId();
    }

    @Override
    public void editFunction(FunctionDTO dto) {
        TabSysFunction record = EntityUtil.changeEntityNew(TabSysFunction.class, dto);
        record.setUpdateTime(new Date());
        tabSysFunctionMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabSysFunction getFunction(Integer functionId) {
        return tabSysFunctionMapper.selectByPrimaryKey(functionId);
    }

    @Override
    public boolean isRepeatFunctionName(Integer enterpriseId, Integer functionId, String functionName) {
        if (tabSysFunctionMapper.countByRepeatFunctionName(enterpriseId, functionId, functionName) > 0) {
            return true;
        }
        return false;
    }

    @Override
    public void deleteFunction(Integer functionId) {
        tabSysFunctionMapper.deleteFunction(functionId);
    }

    @Override
    public Page<TabSysFunction> pageFunction(Integer enterpriseId, String functionName, Integer currentPage, Integer pageSize) {
        if (currentPage == null) {
            currentPage = 1;
        }
        if (pageSize == null) {
            pageSize = 20;
        }
        PageHelper.startPage(currentPage, pageSize);
        List<TabSysFunction> list = tabSysFunctionMapper.listFunction(enterpriseId, functionName);
        return (Page<TabSysFunction>) list;
    }

    @Override
    public List<TabSysFunction> listFunction(Integer enterpriseId, String functionName) {
        return tabSysFunctionMapper.listFunction(enterpriseId, functionName);
    }
}
