package com.gic.cloud.service.impl;

import com.gic.cloud.constanst.DeleteFlagConstants;
import com.gic.cloud.dao.mapper.TabIndexGroupMapper;
import com.gic.cloud.dto.IndexGroupDTO;
import com.gic.cloud.entity.TabIndexGroup;
import com.gic.cloud.service.IndexGroupService;
import com.gic.commons.util.EntityUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.Date;
import java.util.List;
import java.util.Optional;
import java.util.stream.Collectors;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-13 15:38
 */
@Service
public class IndexGroupServiceImpl implements IndexGroupService {

    @Autowired
    private TabIndexGroupMapper tabIndexGroupMapper;

    @Override
    public boolean isNameRepeat(String indexGroupName, Integer indexGroupId) {
        TabIndexGroup indexGroup = new TabIndexGroup();
        indexGroup.setIndexGroupName(indexGroupName);
        indexGroup.setIndexGroupId(indexGroupId);
        return tabIndexGroupMapper.getBySelective(indexGroup) != null;
    }

    @Override
    public Integer save(IndexGroupDTO indexGroupDTO) {
        TabIndexGroup indexGroup = EntityUtil.changeEntityByJSON(TabIndexGroup.class, indexGroupDTO);
        indexGroup.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        indexGroup.setCreateTime(new Date());
        tabIndexGroupMapper.insertSelective(indexGroup);
        return indexGroup.getIndexGroupId();
    }

    @Override
    public TabIndexGroup getById(Integer indexGroupId) {
        return tabIndexGroupMapper.selectByPrimaryKey(indexGroupId);
    }

    @Override
    public void update(IndexGroupDTO indexGroupDTO) {
        tabIndexGroupMapper.updateByPrimaryKeySelective(EntityUtil.changeEntityByJSON(TabIndexGroup.class, indexGroupDTO));
    }

    @Override
    public void delete(Integer indexGroupId) {
        TabIndexGroup tabIndexGroup = new TabIndexGroup();
        tabIndexGroup.setIndexGroupId(indexGroupId);
        tabIndexGroup.setDeleteFlag(DeleteFlagConstants.DELETE_STATUS);
        tabIndexGroupMapper.updateByPrimaryKeySelective(EntityUtil.changeEntityByJSON(TabIndexGroup.class, tabIndexGroup));
    }

    @Override
    public List<TabIndexGroup> listIndexGroup() {
        return tabIndexGroupMapper.listIndexGroup(null);
    }

    @Override
    public String getNameByIds(List<Integer> indexGroupIdList) {
        List<TabIndexGroup> indexGroupList = tabIndexGroupMapper.listIndexGroup(indexGroupIdList);
        return Optional.ofNullable(indexGroupList).orElse(Collections.emptyList())
                .stream().map(TabIndexGroup::getIndexGroupName).collect(Collectors.joining("\\"));
    }

    @Override
    public List<Integer> listChildIndexGroup(Integer indexGroupId) {
        return tabIndexGroupMapper.listChildIndexGroup(indexGroupId);
    }
}
