package com.gic.cloud.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.IndexLogDTO;
import com.gic.cloud.entity.TabIndexLog;
import com.gic.cloud.service.IndexLogApiService;
import com.gic.cloud.service.IndexLogService;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-09 15:30
 */
@Service("indexLogApiService")
public class IndexLogApiServiceImpl implements IndexLogApiService {

    @Autowired
    private IndexLogService indexLogService;

    @Override
    public ServiceResponse<List<IndexLogDTO>> listIndexLog(Integer indexId) {
        List<TabIndexLog> logList = indexLogService.listIndexLog(indexId);
        return EnterpriseServiceResponse.success(EntityUtil.changeEntityListByJSON(IndexLogDTO.class, logList));
    }

    @Override
    public ServiceResponse<List<IndexLogDTO>> listDataExplainLog(Integer dataExplainId) {
        List<TabIndexLog> logList = indexLogService.listDataExplainLog(dataExplainId);
        return EnterpriseServiceResponse.success(EntityUtil.changeEntityListByJSON(IndexLogDTO.class, logList));
    }
}
