package com.gic.cloud.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.TempStoreConditionDTO;
import com.gic.cloud.entity.TabSysTempStoreCondition;
import com.gic.cloud.service.TempStoreConditionApiService;
import com.gic.cloud.service.TempStoreConditionService;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.error.ErrorCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
/**
 * 门店暂存区
 * @ClassName: TempStoreConditionApiServiceImpl 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:35 AM 
 */
@Service("tempStoreConditionApiService")
public class TempStoreConditionApiServiceImpl implements TempStoreConditionApiService{
    @Autowired
    private TempStoreConditionService tempStoreConditionService;

    @Override
    public ServiceResponse<Integer> saveOrUpdateTempStoreCondition(TempStoreConditionDTO dto) {
        if (dto.getStoreWidgetId() == null) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "门店设置不能为空");
        }
        TabSysTempStoreCondition record = tempStoreConditionService.getTempStoreCondition(dto.getEnterpriseId());
        Integer id;
        if (record == null) {
            if (dto.getEnterpriseId() == null) {
                return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "商户ID不能为空");
            }
            id = tempStoreConditionService.saveTempStoreCondition(dto);
        } else {
            dto.setEnterpriseId(record.getEnterpriseId());
            dto.setTempStoreConditionId(record.getTempStoreConditionId());
            tempStoreConditionService.editTempStoreCondition(dto);
            id = record.getTempStoreConditionId();
        }
        return ServiceResponse.success(id);
    }

    @Override
    public ServiceResponse<TempStoreConditionDTO> getTempStoreCondition(Integer enterpriseId) {
        return ServiceResponse.success(EntityUtil.changeEntityNew(TempStoreConditionDTO.class,
                tempStoreConditionService.getTempStoreCondition(enterpriseId)));
    }
}
