package com.gic.cloud.web.controller;

import com.gic.cloud.web.vo.DataAuthDetailVO;
import com.gic.cloud.web.vo.DataAuthVO;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.cloud.dto.DataAuthDTO;
import com.gic.cloud.service.DataAuthApiService;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.utils.UserDetailUtils;
/**
 * 数据权限
 * @ClassName: DataAuthController 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:59 AM 
 */
@RestController
@RequestMapping("/data-auth")
public class DataAuthController {
    private static Logger LOGGER = LogManager.getLogger(DataAuthController.class);

    @Autowired
    private DataAuthApiService dataAuthApiService;


    @RequestMapping("/save-data-auth")
    public RestResponse saveDataAuth(DataAuthDTO dto) {
        dto.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        return ResultControllerUtils.commonResult(dataAuthApiService.saveDataAuth(dto));
    }

    @RequestMapping("/edit-data-auth")
    public RestResponse editDataAuth(DataAuthDTO dto) {
        return ResultControllerUtils.commonResult(dataAuthApiService.editDataAuth(dto));
    }

    @RequestMapping("/delete-data-auth")
    public RestResponse deleteDataAuth(Integer dataAuthId) {
        return ResultControllerUtils.commonResult(dataAuthApiService.deleteDataAuth(dataAuthId));
    }

    @RequestMapping("/get-data-auth-detail")
    public RestResponse getDataAuth(Integer dataAuthId) {
        return ResultControllerUtils.commonResultOne(dataAuthApiService.getDataAuth(dataAuthId), DataAuthDetailVO.class);
    }

    @RequestMapping("/page-data-auth")
    public RestResponse pageDataAuth(String dataAuthName, Integer currentPage, Integer pageSize) {
        return ResultControllerUtils.commonPageResult(dataAuthApiService
                .pageDataAuth(UserDetailUtils.getUserDetail().getEnterpriseId(), dataAuthName, currentPage, pageSize), DataAuthVO.class);
    }

}
