package com.gic.cloud.web.controller;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.cloud.dto.FunctionDTO;
import com.gic.cloud.service.FunctionApiService;
import com.gic.cloud.web.vo.FunctionDetailVO;
import com.gic.cloud.web.vo.FunctionVO;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.utils.UserDetailUtils;
/**
 * 功能
 * @ClassName: FunctionController 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:58 AM 
 */
@RestController
@RequestMapping("/function")
public class FunctionController {
    private final static Logger LOGGER = LogManager.getLogger(FunctionController.class);
    @Autowired
    private FunctionApiService functionApiService;

    @RequestMapping("/save-function")
    public RestResponse saveFunction(FunctionDTO dto) {
        dto.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        return ResultControllerUtils.commonResult(functionApiService.saveFunction(dto));
    }

    @RequestMapping("/edit-function")
    public RestResponse editFunction(FunctionDTO dto) {
        dto.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        return ResultControllerUtils.commonResult(functionApiService.editFunction(dto));
    }

    @RequestMapping("/get-function-detail")
    public RestResponse getFunction(Integer functionId) {
        return ResultControllerUtils.commonResultOne(functionApiService.getFunction(functionId), FunctionDetailVO.class);
    }

    @RequestMapping("/delete-function")
    public RestResponse deleteFunction(Integer functionId) {
        return ResultControllerUtils.commonResult(functionApiService.deleteFunction(functionId));
    }

    @RequestMapping("/page-function")
    public RestResponse pageFunction(String functionName, Integer currentPage, Integer pageSize) {
        return ResultControllerUtils.commonPageResult(functionApiService
                .pageFunction(UserDetailUtils.getUserDetail().getEnterpriseId(), functionName, currentPage, pageSize), FunctionVO.class);
    }
}
