package com.gic.cloud.web.vo;

import org.apache.commons.lang.StringUtils;

import java.io.Serializable;
/**
 * 数据权限详情
 * @ClassName: DataAuthDetailVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:56 AM 
 */
public class DataAuthDetailVO implements Serializable{
    private static final long serialVersionUID = 720678159449334770L;

    /**
     * ID
     */
    private Integer dataAuthId;

    /**
     * 名称
     */
    private String dataAuthName;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 线上业绩权限,json数组,[{"channel":1,"storeContent":[1]}]
     */
    private String onlinePerformance;

    /**
     * 无归属门店权限 1:勾选 0:不勾选
     */
    private Integer noOwnerStore;

    /**
     * 门店资源，门店选择器ID
     */
    private Integer storeWidgetId;

    /**
     * 会员卡权限,_23232_23232_，可以多选，下划线隔开
     */
    private String memberCardAuth;

    /**
     * 商品域权限,_23232_23232_，可以多选，下划线隔开
     */
    private String goodsAreaAuth;

    public Integer getDataAuthId() {
        return dataAuthId;
    }

    public DataAuthDetailVO setDataAuthId(Integer dataAuthId) {
        this.dataAuthId = dataAuthId;
        return this;
    }

    public String getDataAuthName() {
        return dataAuthName;
    }

    public DataAuthDetailVO setDataAuthName(String dataAuthName) {
        this.dataAuthName = dataAuthName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public DataAuthDetailVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getOnlinePerformance() {
        return onlinePerformance;
    }

    public DataAuthDetailVO setOnlinePerformance(String onlinePerformance) {
        this.onlinePerformance = onlinePerformance;
        return this;
    }

    public Integer getStoreWidgetId() {
        return storeWidgetId;
    }

    public DataAuthDetailVO setStoreWidgetId(Integer storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
        return this;
    }

    public String getMemberCardAuth() {
        if (StringUtils.isNotBlank(memberCardAuth)) {
            memberCardAuth = memberCardAuth.substring(1, memberCardAuth.length() - 1);
            return memberCardAuth.replaceAll("_", ",");
        }
        return memberCardAuth;
    }

    public DataAuthDetailVO setMemberCardAuth(String memberCardAuth) {
        this.memberCardAuth = memberCardAuth;
        return this;
    }

    public String getGoodsAreaAuth() {
        if (StringUtils.isNotBlank(goodsAreaAuth)) {
            goodsAreaAuth = goodsAreaAuth.substring(1, goodsAreaAuth.length() - 1);
            return goodsAreaAuth.replaceAll("_", ",");
        }
        return goodsAreaAuth;
    }

    public DataAuthDetailVO setGoodsAreaAuth(String goodsAreaAuth) {
        this.goodsAreaAuth = goodsAreaAuth;
        return this;
    }

    public Integer getNoOwnerStore() {
        return noOwnerStore;
    }

    public DataAuthDetailVO setNoOwnerStore(Integer noOwnerStore) {
        this.noOwnerStore = noOwnerStore;
        return this;
    }

    @Override
    public String toString() {
        return super.toString();
    }
}
