package com.gic.cloud.web.controller;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSON;
import com.gic.cloud.web.auth.DataAuthUtils;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.data.api.qo.performanceoverview.PerformanceOverviewQoAbstract;
import com.gic.data.api.service.performanceoverview.PerformanceOverviewApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
/**
 * 业绩概况
 * @ClassName: PerformanceOverviewController 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 1:35 PM 
 */
@RestController
public class PerformanceOverviewController {
    private static final Logger log = LogManager.getLogger(PerformanceOverviewController.class);
    @Autowired
    private PerformanceOverviewApiService performanceOverviewApiService;
    @Autowired
    private StoreSearchUtils storeSearchUtils;
    @Autowired
    private DataAuthUtils dataAuthUtils;
    @Autowired
    private GoDownComponent goDownComponent;


    @RequestMapping("get-performance-overview")
    public RestResponse selectPerformanceOverview(PerformanceOverviewQoAbstract params) {
        log.info("业绩概览参数：{}", JSON.toJSONString(params));
        params.setOnlineStoreIdList(storeSearchUtils.onLineStoreSearch(params.getUserId(), params.getEnterpriseId(), params.getSearchJson()));
        params.setStoreInfoIdList(storeSearchUtils.storeSearch(params.getUserId(), params.getEnterpriseId(), params.getSearchJson()));
        params.setMemberCardIdList(dataAuthUtils.getMbrAreaId(params.getUserId(), params.getEnterpriseId()));
        goDownComponent.setValueTotal(params);
        return ResultControllerUtils.commonResult(performanceOverviewApiService.selectPerformanceOverview(params));
    }
}
