package com.gic.cloud.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.AttentionStoreDTO;
import com.gic.cloud.service.StoreAttentionApiService;
import com.gic.cloud.web.vo.StoreAttenttionVo;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.store.dto.StoreDTO;
import com.gic.store.service.StoreApiService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
/**
 * 关注门店
 * @ClassName: StoreAttentionController 
 * @Description:  
 * @author boom 
 * @date 2020/9/7 11:44 AM 
 */
@RestController
public class StoreAttentionController {
    @Autowired
    private StoreAttentionApiService storeAttentionApiService;
    @Autowired
    private StoreApiService storeApiService;

    @RequestMapping("add-attention")
    public RestResponse addAttenttion(Integer userId, Integer enterpriseId, Integer storeId){
        ServiceResponse serviceResponse = this.storeAttentionApiService.addStoreAttenttion(userId, enterpriseId, storeId);
        return RestResponse.success();
    }

    @RequestMapping("remove-attention")
    public RestResponse removeAttentiton(Integer enterpriseId, Integer userId, String storeIds){
        this.storeAttentionApiService.removeStoreAttenttion(enterpriseId, userId, storeIds);
        return RestResponse.success();
    }

    @RequestMapping("attention-list")
    public RestResponse attenttionList(Integer userId, Integer enterpriseId, Integer pageNum, Integer pageSize){
        ServiceResponse<Page<AttentionStoreDTO>> response = this.storeAttentionApiService.pageStoreAttention(userId, enterpriseId, pageNum, pageSize);
        Page<AttentionStoreDTO> result = response.getResult();
        List<StoreAttenttionVo> list = new ArrayList<>();
        Page<StoreAttenttionVo> page = new Page<>(pageNum, pageSize);
        if(CollectionUtils.isNotEmpty(result.getResult())){
            for(AttentionStoreDTO storeDTO : result.getResult()){
                StoreAttenttionVo storeAttenttionVo = new StoreAttenttionVo();
                storeAttenttionVo.setStoreId(storeDTO.getStoreId());
                storeAttenttionVo.setStoreAttentionId(storeDTO.getAttentionId());
                StoreDTO store = this.storeApiService.getStoreByStoreInfoId(enterpriseId, storeDTO.getStoreId()).getResult();
                if(store != null){
                    storeAttenttionVo.setStoreName(store.getStoreName());
                    list.add(storeAttenttionVo);
                }
            }
        }
        page.setResult(list);
        page.setTotalPage(result.getTotalPage());
        page.setTotalCount(result.getTotalCount());
        return RestResponse.success(page);
    }
}
