package com.gic.cloud.web.utils;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.module.SimpleModule;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import org.springframework.context.annotation.Bean;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
/**
 * 数据转化
 * @ClassName: BigDecimalConvertUtils 
 * @Description:  
 * @author boom 
 * @date 2020/9/7 1:39 PM 
 */
@Component
public class BigDecimalConvertUtils {
    @Bean
    public MappingJackson2HttpMessageConverter jackson2HttpMessageConverterBigDecimal(){
        MappingJackson2HttpMessageConverter jackson2HttpMessageConverter = new MappingJackson2HttpMessageConverter();

        ObjectMapper objectMapper = new ObjectMapper();
        /**
         * 序列换成json时,BigDecimal
         * 因为js中得数字类型不能包含所有的java BigDecimal
         */
        SimpleModule simpleModule = new SimpleModule();
        simpleModule.addSerializer(BigDecimal.class, new BigDecimalJsonSeralizer());
        simpleModule.addSerializer(String.class, new StringJsonSeralizer());
        simpleModule.addSerializer(Long.class, ToStringSerializer.instance);
        simpleModule.addSerializer(Long.TYPE, ToStringSerializer.instance);
        objectMapper.registerModule(simpleModule);
        jackson2HttpMessageConverter.setObjectMapper(objectMapper);
        objectMapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);

        return  jackson2HttpMessageConverter;
    }
}
