package com.gic.cloud.web.utils;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

import java.io.IOException;
import java.math.BigDecimal;
/**
 * 数据转化
 * @ClassName: BigDecimalJsonSeralizer 
 * @Description:  
 * @author boom 
 * @date 2020/9/7 1:39 PM 
 */
public class BigDecimalJsonSeralizer extends JsonSerializer<BigDecimal> {

    @Override
    public void serialize(BigDecimal value, JsonGenerator jsonGenerator, SerializerProvider serializerProvider) throws IOException, JsonProcessingException {
        if(value != null){
            BigDecimal result = value.setScale(2, BigDecimal.ROUND_HALF_UP);
            jsonGenerator.writeString(result.toString());
        }else {
            jsonGenerator.writeString("--");
        }
    }
}

