package com.gic.cloud.web.utils;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;
import org.apache.commons.lang3.StringUtils;

import java.io.IOException;
import java.math.BigDecimal;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
/**
 * 数据转化
 * @ClassName: StringJsonSeralizer 
 * @Description:  
 * @author boom 
 * @date 2020/9/7 1:38 PM 
 */
public class StringJsonSeralizer extends JsonSerializer<String> {

    private static Pattern NUMBER_PATTERN = Pattern.compile("\\d+\\.\\d+$|-\\d+\\.\\d+$");

    @Override
    public void serialize(String value, JsonGenerator jsonGenerator, SerializerProvider serializerProvider) throws IOException, JsonProcessingException {
        if(StringUtils.isNotBlank(value)){
            Matcher isNum = NUMBER_PATTERN.matcher(value);
            if(isNum.matches()){
                BigDecimal decimal = new BigDecimal(value).setScale(2, BigDecimal.ROUND_HALF_UP);
                jsonGenerator.writeString(decimal.toString());
                return;
            }
        }
        jsonGenerator.writeString(value);
    }
}

