package com.gic.cloud.web.vo;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 信息
 * @ClassName: EnterpriseVo 
 * @Description:  
 * @author boom 
 * @date 2020/9/7 1:39 PM 
 */
public class EnterpriseVo {
    private static final long serialVersionUID = -2344967926907229689L;
    private Integer enterpriseId;
    private String enterpriseName;
    private String companyName;
    private String logo;
    private String address;
    private Integer userId;
    private String userName;
    private String phoneNumber;
    private String phoneAreaCode;
    private Integer isAdmin = 0;
    /***是否单域**/
    private Integer isSingle = 1;

    /**
     * 基础服务过期时间
     */
    private Date auditTime;

    private String expireDate;

    /**
     * 过期状态 1：过期 0：未过期
     */
    private Integer isExpire;

    /**
     * 商户创建时间
     */
    private Date createTime;

    public String getExpireDate() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        if (auditTime != null) {
            return sdf.format(auditTime);
        }
        return expireDate;
    }

    public EnterpriseVo setExpireDate(String expireDate) {
        this.expireDate = expireDate;
        return this;
    }

    public Integer getIsExpire() {
        if (auditTime != null) {
            if (new Date().compareTo(auditTime) > 0) {
                return 1;
            }
        }
        return 0;
    }

    public EnterpriseVo setIsExpire(Integer isExpire) {
        this.isExpire = isExpire;
        return this;
    }

    public EnterpriseVo setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public void setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
    }

    public Integer getIsAdmin() {
        return isAdmin;
    }

    public void setIsAdmin(Integer isAdmin) {
        this.isAdmin = isAdmin;
    }

    public Integer getIsSingle() {
        return isSingle;
    }

    public void setIsSingle(Integer isSingle) {
        this.isSingle = isSingle;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public EnterpriseVo setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }
}
