package com.gic.cloud.web.vo;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 登录用户
 * @ClassName: LoginUserVo   
 * @Description:    
 * @author guojuxing 
 * @date 2020/9/7 11:45 AM  
 */
public class LoginUserVo implements Serializable {
    private Integer userId;
    private Integer enterpriseId;
    private String userName;
    private Integer isAdmin = 0;
    /***是否单域**/
    private Integer isSingle = 1;
    private String phoneNumber;
    private String areaCode;
    private String code;

    /**
     * 商户创建时间
     */
    private Date createTime;

    /**
     * 基础服务过期时间
     */
    private Date auditTime;

    private String expireDate;

    /**
     * 过期状态 1：过期 0：未过期
     */
    private Integer isExpire;

    public String getExpireDate() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        if (auditTime != null) {
            return sdf.format(auditTime);
        }
        return expireDate;
    }

    public LoginUserVo setExpireDate(String expireDate) {
        this.expireDate = expireDate;
        return this;
    }

    public Integer getIsExpire() {
        if (auditTime != null) {
            if (new Date().compareTo(auditTime) > 0) {
                return 1;
            }
        }
        return 0;
    }

    public LoginUserVo setIsExpire(Integer isExpire) {
        this.isExpire = isExpire;
        return this;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public LoginUserVo setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getIsAdmin() {
        return isAdmin;
    }

    public void setIsAdmin(Integer isAdmin) {
        this.isAdmin = isAdmin;
    }

    public Integer getIsSingle() {
        return isSingle;
    }

    public void setIsSingle(Integer isSingle) {
        this.isSingle = isSingle;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public LoginUserVo setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }
}
